Bug 728662 - Review Request: python-pylibmc - Memcached client for Python
Summary: Review Request: python-pylibmc - Memcached client for Python
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 728664
TreeView+ depends on / blocked
 
Reported: 2011-08-06 07:58 UTC by Praveen Kumar
Modified: 2012-10-18 23:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-18 23:03:21 UTC
sanjay.ankur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Praveen Kumar 2011-08-06 07:58:45 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/pylibmc/python-pylibmc.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/pylibmc/python-pylibmc-1.2.0-1.20110805gitf01c31.fc15.src.rpm
Description: pylibmc is a client in Python for memcached. It is a wrapper around TangentOrg‘s libmemcached library. The interface is intentionally made as close to python-memcached as possible, so that applications can drop-in replace it.

Koji Buid : http://koji.fedoraproject.org/koji/taskinfo?taskID=3255889

Comment 1 Ankur Sinha (FranciscoD) 2011-08-07 17:49:01 UTC
Review:

+ OK
- NA
? ISSUE

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:
^^ Git check out, checked using diff.

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output.
^^
[ankur@ankur SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/*.rpm ../SPECS/python-pylibmc.spec python-pylibmc-1.2.0-1.20110805gitf01c31.fc15.src.rpm 
python-pylibmc.noarch: W: spelling-error Summary(en_US) Memcached -> Schemed
python-pylibmc.noarch: W: spelling-error %description -l en_US memcached -> schemed
python-pylibmc.noarch: W: spelling-error %description -l en_US libmemcached -> semidetached
python-pylibmc.src: W: spelling-error Summary(en_US) Memcached -> Schemed
python-pylibmc.src: W: spelling-error %description -l en_US memcached -> schemed
python-pylibmc.src: W: spelling-error %description -l en_US libmemcached -> semidetached
python-pylibmc.src: W: invalid-url Source0: python-pylibmc-1.2.0.20110805gitf01c31.tar.xz
../SPECS/python-pylibmc.spec: W: invalid-url Source0: python-pylibmc-1.2.0.20110805gitf01c31.tar.xz
python-pylibmc.src: W: spelling-error Summary(en_US) Memcached -> Schemed
python-pylibmc.src: W: spelling-error %description -l en_US memcached -> schemed
python-pylibmc.src: W: spelling-error %description -l en_US libmemcached -> semidetached
python-pylibmc.src: W: invalid-url Source0: python-pylibmc-1.2.0.20110805gitf01c31.tar.xz
3 packages and 1 specfiles checked; 0 errors, 12 warnings.


MINOR SPELLING ERRORS ONLY. OK.

+ final provides and requires are sane:
[ankur@ankur result]$ review-req-check 
== python-pylibmc-1.2.0-1.20110805gitf01c31.fc17.noarch.rpm ==
Provides:
python-pylibmc = 1.2.0-1.20110805gitf01c31.fc17

Requires:
python(abi) = 2.7

== python-pylibmc-1.2.0-1.20110805gitf01c31.fc17.src.rpm ==
Provides:

Requires:
python-devel  
python-setuptools  
libmemcached-devel  
zlib-devel  


SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. It looks like a good package. I see you've removed some sonames. Why is this? Please clarify and I shall approve the package :D

Thanks,
Ankur

Comment 2 Ankur Sinha (FranciscoD) 2011-08-07 17:54:24 UTC
One suggestion though: In the setup macro, you needn't use such a complex name. You're creating the directory to extract into, even just %{name} will suffice. Only a cosmetic suggestion.

Comment 4 Rahul Sundaram 2011-08-09 07:34:05 UTC
Just a quick note

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29

"There is an exception to this rule. If the upstream source has "py" (or "Py") in its name, you can use that name for the package. So, for example, pygtk is acceptable"

So this package can just be called pylibmc.  It doesn't recommend that naming.  Hence I am fine with it, either way

Comment 5 Ankur Sinha (FranciscoD) 2011-08-09 17:24:39 UTC
Praveen,

Please correct the permissions for the soname:

From rpmlint:
python-pylibmc.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/_pylibmc.so 0775L

Thanks,
Ankur

Comment 6 Praveen Kumar 2011-08-10 12:22:58 UTC
Ah sorry I have only 32 bit system so didn't see it but now fixed.
Thanks for suggestion 
Spec URL: http://kumarpraveen.fedorapeople.org/pylibmc/python-pylibmc.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/pylibmc/python-pylibmc-1.2.0-3.20110805gitf01c31.fc15.src.rpm

koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3263828

Comment 7 Ankur Sinha (FranciscoD) 2011-08-10 13:00:12 UTC
Hello,

Issues are fixed. This package is XXX APPROVED XXX

Please build it and we can jump to the django-pylibmc review :D

Thanks,
Ankur

Comment 8 Praveen Kumar 2011-08-10 13:16:24 UTC
New Package SCM Request
=======================
Package Name: python-pylibmc
Short Description: Memcached client for Python
Owners: sundaram pjp kumarpraveen
Branches: el6

Comment 9 Praveen Kumar 2011-08-10 13:19:41 UTC
New Package SCM Request
=======================
Package Name: python-pylibmc
Short Description: Memcached client for Python
Owners: sundaram pjp kumarpraveen
Branches: f14 f15 el6

Comment 10 Gwyn Ciesla 2011-08-10 15:13:51 UTC
Git done (by process-git-requests).

Comment 11 Ankur Sinha (FranciscoD) 2012-10-18 23:03:21 UTC
Package in repos now. Closing bug.


Note You need to log in before you can comment on or make changes to this bug.